#! /bin/tcsh
#To switch shell > exec /usr/bin/tcsh

@ iday = 1
set year_name  = "2017" #"2008"
set month_name = "06"

set name_start  = COSP_CAM5_f09.cam.h2. #for 2017 1 degree
#COSP_CAM5_t3_CFAD.cam.h2. for 2017 #COSP_CAM5_t3.cam.h2. for 2008

while ($iday <= 30)
      
  if ($iday < 10) then
    set day_name = 0{$iday}
  else
    set day_name = {$iday}
  endif

  set filename = $name_start$year_name-$month_name-$day_name-03600.nc
  echo filename, $filename
  
#Extract REFF_COSP_{$i} from file and place in new seperate file
    @ ireff = 1
    while ($ireff <= 9)
      ncks -v REFF_COSP_{$ireff} $filename REFF{$ireff}_CAM5_1deg_$year_name-$month_name-$day_name.nc 
      ncrename -v REFF_COSP_{$ireff},Reff REFF{$ireff}_CAM5_1deg_$year_name-$month_name-$day_name.nc 

      @ ireff +=1
      
    end  #while loop of ireff
    echo finished creating REFF files for $year_name-$month_name-$day_name

#Combine Reffs across the 9 individual files into one Reff variable with dimensions[record, time, level, lat, lon]
  ncecat REFF?_CAM5_1deg_$year_name-$month_name-$day_name.nc REFF_CAM5_1deg_all9together_$year_name-$month_name-$day_name.nc

#Change the record name from record to hydro, since that is what COSP needs for Reffi
#dimensions are now [hydro,time,level,lat,lon], Not sure this is necessary
  ncrename -d record,hydro REFF_CAM5_1deg_all9together_$year_name-$month_name-$day_name.nc
  echo finished combining Reff files and renamed Reff record to hydro for REFF_CAM5_1deg_all9together_$year_name-$month_name-$day_name.nc

#Remove variables I do not want appended to file. 
#That is, I ONLY want Reff added to the file with all the other variables
#P0,hyam,hybm these were originaly listed. time variable may still be listed. Should I remove that?
  ncks -C -x -v lat,lev,lon,P0,hyai,hyam,hybi,hybm,ilev REFF_CAM5_1deg_all9together_$year_name-$month_name-$day_name.nc REFFonly_CAM5_1deg_all9together_$year_name-$month_name-$day_name.nc
  echo finished removing fluff vars from Reff files for REFFonly_CAM5_1deg_all9together_$year_name-$month_name-$day_name.nc

#Can't appened REFFonly file to original file because they have different "record" dimensions. REFFonly has hydro as record dimension, while original file has time as record dimension  
#ncks -A REFFonly_CAM5_1deg_all9together_$year_name-$month_name-$day_name.nc $filename
#echo finished appending Reff back to original hourly files for $filename
  
  @ iday +=1    

end #while loop of iday
